Bug 649877 - (CVE-2010-3611) CVE-2010-3611 dhcp: NULL pointer dereference crash via crafted DHCPv6 packet
CVE-2010-3611 dhcp: NULL pointer dereference crash via crafted DHCPv6 packet
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20101102,reported=20101104,sou...
: Security
Depends On: 649880 651913 651914
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-04 14:11 EDT by Vincent Danen
Modified: 2016-03-04 05:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-01 03:22:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
upstream fix (1.41 KB, patch)
2010-11-05 04:09 EDT, Jiri Popelka
no flags Details | Diff

  None (edit)
Description Vincent Danen 2010-11-04 14:11:36 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-3611 to
the following vulnerability:

Name: CVE-2010-3611
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-3611
Assigned: 20100927
Reference: CONFIRM: http://www.isc.org/software/dhcp/advisories/cve-2010-3611
Reference: CERT-VN:VU#102047
Reference: URL: http://www.kb.cert.org/vuls/id/102047
Reference: BID:44615
Reference: URL: http://www.securityfocus.com/bid/44615
Reference: SECUNIA:42082
Reference: URL: http://secunia.com/advisories/42082
Reference: VUPEN:ADV-2010-2879
Reference: URL: http://www.vupen.com/english/advisories/2010/2879
Reference: XF:iscdhcp-relayforward-dos(62965)
Reference: URL: http://xforce.iss.net/xforce/xfdb/62965

ISC DHCP server 4.0 before 4.0.2, 4.1 before 4.1.2, and 4.2 before
4.2.0-P1 allows remote attackers to cause a denial of service (crash)
via a DHCPv6 packet containing a Relay-Forward message without an
address in the Relay-Forward link-address field.
Comment 1 Vincent Danen 2010-11-04 14:15:44 EDT
Created dhcp tracking bugs for this issue

Affects: fedora-all [bug 649880]
Comment 2 Vincent Danen 2010-11-04 14:21:25 EDT
Statement:

This issue did not affect the versions of dhcp as shipped with Red Hat Enterprise Linux 4 and 5 as they did not include support for DHCPv6.
Comment 3 Jiri Popelka 2010-11-05 04:09:29 EDT
Created attachment 458016 [details]
upstream fix
Comment 10 errata-xmlrpc 2010-11-30 13:12:20 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2010:0923 https://rhn.redhat.com/errata/RHSA-2010-0923.html

Note You need to log in before you can comment on or make changes to this bug.